package ink.wgink.pojo.bos.log;

import java.io.Serializable;

/**
 * @ClassName: RouteLogBO
 * @Description: 路由日志
 * @Author: wanggeng
 * @Date: 2021/10/23 11:50 上午
 * @Version: 1.0
 */
public class RouteLogBO implements Serializable {
    private static final long serialVersionUID = 7192738070388541098L;

    private String host;
    private Integer port;
    private String requestIp;
    private String context;
    private String uri;
    private String requestTime;
    private String userId;
    private String userName;

    public String getHost() {
        return host == null ? "" : host.trim();
    }

    public void setHost(String host) {
        this.host = host;
    }

    public Integer getPort() {
        return port == null ? 0 : port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getRequestIp() {
        return requestIp == null ? "" : requestIp.trim();
    }

    public void setRequestIp(String requestIp) {
        this.requestIp = requestIp;
    }

    public String getContext() {
        return context == null ? "" : context.trim();
    }

    public void setContext(String context) {
        this.context = context;
    }

    public String getUri() {
        return uri == null ? "" : uri.trim();
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getRequestTime() {
        return requestTime == null ? "" : requestTime.trim();
    }

    public void setRequestTime(String requestTime) {
        this.requestTime = requestTime;
    }

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
